<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml" />

<xsl:template match="/">
	<SCRIPT>
		<xsl:comment>
			<xsl:text disable-output-escaping="yes">
			<![CDATA[
			function ShowImgWindow(title, src, width, height)
			{
				obj = window.open("", "", "scrollbars=0,dialog=0,minimizable=1,modal=1,width="+width+",height="+height+",resizable=0");
				obj.document.write("<html>");
				obj.document.write("<head>");
			
				obj.document.write("<title>"+title+"</title>");
			
				obj.document.write("</head>");
			
				obj.document.write("<body topmargin=0 leftmargin=0 marginwidth=0 marginheight=0>");
			
				obj.document.write("<img src=\""+src+"\" />");
			
				obj.document.write("</body>");
				obj.document.write("</html>");
			}
			]]>
			</xsl:text>
		</xsl:comment>
	</SCRIPT>
	<xsl:apply-templates select="compare"/>
</xsl:template>

<!-- Основной шаблон, формирующий таблицу сравнения -->
<xsl:template match="/compare">
	<table cellpadding="10px" cellspacing="0">
		<tr>
		<td><b>Название</b></td>
		<xsl:apply-templates select="compare_items/item" mode="name"/>
		</tr>
		<tr>
		<td><b>Фото</b></td>
		<xsl:apply-templates select="compare_items/item" mode="image"/>
		</tr>
		<tr>
		<td><b>Цена</b></td>
		<xsl:apply-templates select="compare_items/item" mode="price"/>
		</tr>
		<xsl:apply-templates select="compare_properties/property"/>
	</table>
</xsl:template>

<!-- Шаблон, формирующий свойства -->
<xsl:template match="compare_properties/property">
	<tr>
	<td>
	<b><xsl:value-of disable-output-escaping="yes" select="name"/></b>
	</td>
	<xsl:apply-templates select="//compare_items/item" mode="property">
	<!-- Передаем через параметр ID свойства -->
	<xsl:with-param name="property_id" select="@id"/>
	</xsl:apply-templates>
	</tr>
</xsl:template>

<!-- Шаблон, формирующий значения свойств -->
<xsl:template match="//compare_items/item" mode="property">
	<td>
	<!-- Принимаем параметр - ID свойства -->
	<xsl:param name="property_id"/>
	<xsl:value-of disable-output-escaping="yes" select="property[@id = $property_id]/value"/>
	</td>
</xsl:template>

<!-- Шаблон, формирующий названия товаров -->
<xsl:template match="compare_items/item" mode="name">
	<td>
	<a href="{/compare/shop_path}{fullpath}{path}/">	
	<xsl:value-of disable-output-escaping="yes" select="name"/>
	</a>
	</td>
</xsl:template>

<!-- Шаблон, формирующий изображения товаров -->
<xsl:template match="compare_items/item" mode="image">
	<td>
	<!-- Изображение для товара, если есть -->
	<xsl:if test="image!=''">
		<div style="float: left; width: {small_image/@width}px; margin: 0px 10px 10px 0px; color: #aaaaaa;">
		<a href="JavaScript:void(0)" onclick="ShowImgWindow('{name}','{image}', {image/@width}, {image/@height})"><img src="{small_image}" style="border: 1px solid #000000; margin: 0px 5px 5px 0px" /></a>
		<br/>Нажмите на изображение для увеличения (откроется в новом окне)
		</div>
	</xsl:if>
	</td>
</xsl:template>

<!-- Шаблон, формирующий цены товаров -->
<xsl:template match="compare_items/item" mode="price">
	<td align="center">
	<b><xsl:value-of select="price"/></b>&#xa0; <xsl:value-of select="item_currency"/>
	</td>
</xsl:template>

</xsl:stylesheet>